ubuntu/+source/lighttpd:applied/ubuntu/natty-security

Last commit made on 2011-12-20
Get this branch:
git clone -b applied/ubuntu/natty-security https://git.launchpad.net/ubuntu/+source/lighttpd
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/natty-security
Repository:
lp:ubuntu/+source/lighttpd

Recent commits

e30345c... by Mahyuddin Susanto on 2011-12-20

Import patches-applied version 1.4.28-2ubuntu1.1 to applied/ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: cfe3c9054b7604b9cc9ab7811e6d20be225bdbf0
Unapplied parent: 78305c189a895755a84d8f7fb8f3f2314d9c3a11

New changelog entries:
  * SECURITY UPDATE: Fix DoS because of incorrect code in src/http_auth.c:67
    (LP: #906792)
    - debian/patches/CVE-2011-4362.patch: patch derived from upstream
    - CVE-2011-4362

78305c1... by Mahyuddin Susanto on 2011-12-20

DoS because of incorrect code in src/http_auth.c:67

Gbp-Pq: CVE-2011-4362.patch.

d51583b... by Mahyuddin Susanto on 2011-12-20

Upstream changes introduced in version 1.4.28-2

Gbp-Pq: debian-changes-1.4.28-2.

6d571cb... by Mahyuddin Susanto on 2011-12-20

Silence annoying "connection closed: poll() -> ERR" error.log message (fixes #2257)

Gbp-Pq: silence-errors.diff.

b58117c... by Mahyuddin Susanto on 2011-12-20

build-dev-package.patch

No DEP3 Subject or Description header found

Gbp-Pq: build-dev-package.patch.

f6041a7... by Mahyuddin Susanto on 2011-12-20

Import patches-unapplied version 1.4.28-2ubuntu1.1 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: 407b1edbac7a757ee209f8e44fc43d6e87997dca

New changelog entries:
  * SECURITY UPDATE: Fix DoS because of incorrect code in src/http_auth.c:67
    (LP: #906792)
    - debian/patches/CVE-2011-4362.patch: patch derived from upstream
    - CVE-2011-4362

cfe3c90... by Bhavani Shankar on 2010-11-21

Import patches-applied version 1.4.28-2ubuntu1 to applied/ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 819010cbd703e143e3e73ed9e01ac33b8fe3ce22
Unapplied parent: f4583bfadecec964ff4b156bb1917bcc925722f0

New changelog entries:
  * Merge from debian unstable. Remaining changes:
    - debian/control:
      + libgamin-dev rather than libfam-dev to fix startup warning.
      + debhelper Build-depends bumped to (>= 7.0.50) for
        overrides in rules file.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not start
        before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4 (LP: #551211)

407b1ed... by Bhavani Shankar on 2010-11-21

Import patches-unapplied version 1.4.28-2ubuntu1 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: cdb1fd883f006c03e5821eef8df27983aa058eea

New changelog entries:
  * Merge from debian unstable. Remaining changes:
    - debian/control:
      + libgamin-dev rather than libfam-dev to fix startup warning.
      + debhelper Build-depends bumped to (>= 7.0.50) for
        overrides in rules file.
    - debian/index.html: s/Debian/Ubuntu/g branding on the default page.
    - Added a UFW profile set:
      + debian/lighttpd.dirs: added etc/ufw/applications.d
      + debian/rules: install the ufw profile.
      + debian/control: Suggests on ufw.
    - Add lighttpd-dev package:
      + debian/control: Added lighttpd-dev package; Build-depends on
        automake, libtool
      + debian/lighttpd-dev.install: Added.
    - debian/rules:
      + Add override_dh_installinit to set "defaults 91 09" to not start
        before apache2 but in the same runlevel with the same priority.
    - debian/patches/build-dev-package.patch: Updated
    - debian/lighttpd.conf: Comment 'use-ipv6.pl' by default, which causes
      failure to bind port in ipv4 (LP: #551211)

f4583bf... by Bhavani Shankar on 2010-11-21

Upstream changes introduced in version 1.4.28-2

Gbp-Pq: debian-changes-1.4.28-2.

2a194c3... by Bhavani Shankar on 2010-11-21

Silence annoying "connection closed: poll() -> ERR" error.log message (fixes #2257)

Gbp-Pq: silence-errors.diff.